Subject: bug#55412: 28.1; In Emacs 28.1, using ':eval' in 'frame-title-format' doesn't work properly

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 May 2022 13:16:45 +0300

> Date: Sun, 15 May 2022 09:48:37 +0000
> Cc: [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > Do you remember why the frame switch here was "unwanted"?  What
> > bad things happen if we restore the removed code?
> 
> I remember vaguely that that call to Fselect_window caused minibuffers to
> be switched between frames in an unwanted fashion.

If that is the problem, we could perhaps countermand it by binding
some variable across the call.

> I've got detailed notes of what I did, still.  I'll probably not
> have much chance to look at the bug today, but should do over the
> next few days.

TIA.